## com.blogspot.applications4android.comicreader.core
Class Bound

    java.lang.Object
      com.blogspot.applications4android.comicreader.core.Bound

    public class Bound

extends java.lang.Object

Defines a bound containing long-int's

Field Summary
`long` `max` upper bound
`long` `min` lower bound

Constructor Summary
`Bound()` Default constructor
`Bound(long _min, long _max)` Handy constructor

Method Summary
`boolean` `isUnderLimit(long val)` Checks for conformance to the bound

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### min

    public long min

  lower bound

### max

    public long max

  upper bound

Constructor Detail

### Bound

    public Bound()

  Default constructor

### Bound

    public Bound(long _min,
                 long _max)

  Handy constructor

  Parameters:
    `_min` - min value
    `_max` - max value

Method Detail

### isUnderLimit

    public boolean isUnderLimit(long val)

  Checks for conformance to the bound

  Parameters:
    `val` - value to be checked against
  Returns:
    true if it is inside the bounds.